import request from "@/utils/request";
// 成本模板列表
export function costList(query) {
  return request({
    url: "/financial/tp/list",
    method: "get",
    params: query,
  });
}
// 查询生成表数据
export function eduList(query) {
  return request({
    url: "/course/educationType/allList",
    method: "get",
    params: query,
  });
}
// 新增模板
export function addCost(data) {
  return request({
    url: "/financial/tp",
    method: "post",
    data,
  });
}
// 修改状态
export function editDefaultStatus(data) {
  return request({
    url: "/financial/tp/editDefaultStatus",
    method: "post",
    data,
  });
}
// 批量删除
export function batchCost(data) {
  return request({
    url: "/financial/tp/deleteBatch",
    method: "post",
    data,
  });
}
// 修改模板
export function editCost(data) {
  return request({
    url: "/financial/tp/edit",
    method: "post",
    data,
  });
}
// 查询模板
export function costDetail(id) {
  return request({
    url: "/financial/tp/" + id,
    method: "get",
  });
}

// 应收应付列表
export function orderList(query) {
  return request({
    url: "/receive/order/list",
    method: "get",
    params: query,
    isProce: true,
  });
}

// 应收应付导出
export function orderExport(query) {
  return request({
    url: "/receive/order/listExport",
    method: "get",
    params: query,
    isProce: true,
  });
}
// 机构分成列表导出
export function tenantExport(query) {
  return request({
    url: "/system/top/order/tenantListExport",
    method: "get",
    params: query,
  });
}
// 佣金结算导出
export function commissionExport(query) {
  return request({
    url: "/system/top/order/commissionListExport",
    method: "get",
    params: query,
  });
}
// 订单应收应付统计
export function sellerExport(query) {
  return request({
    url: "/system/top/order/sellerListExport",
    method: "get",
    params: query,
  });
}
// 新增催款提醒
export function orderNote(data) {
  return request({
    url: "/receive/order/note",
    method: "post",
    data,
  });
}
// 修改催款提醒
export function orderNoteEdit(data) {
  return request({
    url: "/receive/order/note/edit",
    method: "post",
    data,
  });
}

// 业务员提成列表
export function sellerPercentageList(data) {
  return request({
    url: "/divide/log/sellerList",
    method: "post",
    data,
    isProce: true,
  });
}
// 业务员提成订单列表
export function sellerList(query) {
  return request({
    url: "/system/top/order/divSellerList",
    method: "get",
    params: query,
  });
}
// 查询机构分成记录列表
export function companyList(data) {
  return request({
    url: "/divide/log/companyList",
    method: "post",
    data,
    isProce: true,
  });
}
// 查询佣金结算列表
export function commissionList(data) {
  return request({
    url: "/divide/log/commissionList",
    method: "post",
    data,
    isProce: true,
  });
}
// 机构分成列表
export function tenantList(query) {
  return request({
    url: "/system/top/order/queryTenantList",
    method: "get",
    params: query,
  });
}
// 修改备注
export function updateRemark(data) {
  return request({
    url: "/system/top/order/updateRemark",
    method: "post",
    data,
  });
}
// 修改月份备注
export function updateMonthRemark(data) {
  return request({
    url: "/divide/log/updateRemark",
    method: "post",
    data,
  });
}
// 查询月份订单列表
export function monthOrderList(query) {
  return request({
    url: "/divide/log/monthOrderList",
    method: "get",
    params: query,
    isProce: true,
  });
}
// 订单应收应付统计
export function countOrderNum(data) {
  return request({
    url: "/system/top/order/countOrderNum",
    method: "post",
    data,
    isProce: true,
  });
}

// 坏账设置
export function setBadBill(data) {
  return request({
    url: "/divide/log/updateBadBill",
    method: "post",
    data,
  });
}
// 坏账详情
export function badBillDetail(query) {
  return request({
    url: "/divide/log/configKey/badBill",
    method: "get",
    params: query,
  });
}

// 供应商模板列表
export function supplierList(query) {
  return request({
    url: "/top/cost/inst/tp/list",
    method: "get",
    params: query,
  });
}

// 供应商列表
export function institutionList(query) {
  return request({
    url: "/top/institution/list",
    method: "get",
    params: query,
  });
}

// 供应商模板批量删除
export function supplierBatchCost(data) {
  return request({
    url: "/top/cost/inst/tp/deleteBatch",
    method: "post",
    data,
  });
}

// 供应商成本分类
export function instCategoryList(query) {
  return request({
    url: "/top/inst/category/list",
    method: "get",
    params: query,
  });
}
// 机构成本分类
export function categoryList(query) {
  return request({
    url: "/top/category/list",
    method: "get",
    params: query,
  });
}
// // 成本类别
// export function categoryList(query) {
//   return request({
//     url: "/top/category/list",
//     method: "get",
//     params: query,
//   });
// }
// 供应商状态
export function instDefaultStatus(data) {
  return request({
    url: "/top/cost/inst/tp/editDefaultStatus",
    method: "post",
    data,
  });
}

// 新增供应商模板
export function addInstCost(data) {
  return request({
    url: "/top/cost/inst/tp",
    method: "post",
    data,
  });
}

// 修改供应商模板
export function editInstCost(data) {
  return request({
    url: "/top/cost/inst/tp/edit",
    method: "post",
    data,
  });
}
// 查询供应商模板
export function costInstDetail(id) {
  return request({
    url: "/top/cost/inst/tp/" + id,
    method: "get",
  });
}

// 月份订单统计信息
export function monthOrderCount(query) {
  return request({
    url: "/divide/log/monthOrderCount",
    method: "get",
    params: query,
  });
}
// 单据打印详情
export function withPrint(id) {
  return request({
    url: "/divide/log/withPrint/" + id,
    method: "get",
  });
}
// 查询打印月份订单列表
export function monthOrderListWithPrint(query) {
  return request({
    url: "/divide/log/monthOrderListWithPrint",
    method: "get",
    params: query,
  });
}
// 查询佣金打印
export function commissionPrint(data) {
  return request({
    url: "/divide/log/commissionPrint",
    method: "post",
    data,
  });
}
// 查询佣金结算列表统计
export function commissionOrderCount(query) {
  return request({
    url: "/divide/log/commissionOrderCount",
    method: "get",
    params: query,
  });
}
// 批量修改订单收款提醒
export function editBatchReminder(data) {
  return request({
    url: "/receive/order/note/editBatch",
    method: "post",
    data,
  });
}
// 批量修改月份分成审核记录
export function divideByMonthEditBo(data) {
  return request({
    url: "/check/order/log/updateBatchDivideByMonthEditBo",
    method: "post",
    data,
  });
}
// 批量修改订单分成审核记录
export function divideByEditBo(data) {
  return request({
    url: "/check/order/log/updateBatchDivideByEditBo",
    method: "post",
    data,
  });
}
